*-------------------------------------------------------------------------*
 |                                                                         
 |                    SAS SETUP FILE FOR ICPSR 02258
 |         DRUG ABUSE TREATMENT OUTCOME STUDY (DATOS), 1991-1994:
 |                            [UNITED STATES]
 |                (DATASET 0005:  ILLEGAL ACTIVITIES DATA)
 |
 |
 | SAS setup sections are provided for the ASCII version of this data
 | collection.  These sections are listed below:
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions. Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set.
 |
 | INFILE:  identifies the input file to be read with the input statement.
 | Users must replace the "data-filename" with a filename specifying the
 | directory on the user's computer system in which the downloaded and
 | unzipped data file is physically located (e.g.,
 | "c:\temp\02258-0005-data.txt").
 |
 | INPUT:  assigns the name, type, decimal specification (if any), and
 | specifies the beginning and ending column locations for each variable
 | in the data file.
 |
 | LABEL:  assigns descriptive labels to all variables. Variable labels
 | and variable names may be identical for some variables.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables named in the INPUT statement.
 |
 | NOTE:  Users should modify this setup file to suit their specific needs.
 | Sections for PROC FORMAT, FORMAT, and MISSING VALUE RECODES have been
 | commented out (i.e., '/*'). To include these sections in the final SAS
 | setup, users should remove the SAS comment indicators from the desired
 | section(s).
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

/*
PROC FORMAT;
  VALUE modality  1='(1) RESIDENTIAL' 2='(2) SHORT-TERM INPATIENT'
                  3='(3) METHADONE MAINTENANCE' 4='(4) OUTPATIENT DRUG FREE' ;
  VALUE iadate_m  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) JAN.-MARCH' 2='(2) APR.-JUNE'
                  3='(3) JULY-SEPT.' 4='(4) OCT.-DEC.' ;
  VALUE iadate_y  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' ;
  VALUE aia1_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia1_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia1_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia1_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' ;
  VALUE aia2_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia2_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia2_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia2_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' ;
  VALUE aia3_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia3_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia3_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia3_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia4_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia4_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia4_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia4_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' ;
  VALUE aia5_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia5_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia5_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia5_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' ;
  VALUE aia6_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia6_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia6_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia6_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia7_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia7_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia7_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia7_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia8_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia8_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia8_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia8_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia9_1ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia9_2ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia9_3ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia9_4ff  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia10_1f  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 1='(1) YES' 2='(2) NO' ;
  VALUE aia10_2f  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 55='(55) 55 OR OLDER' ;
  VALUE aia10_3f  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
  VALUE aia10_4f  -9='LEGITIMATE SKIP' -8='BLANK' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DONT KNOW'
                  -3='NOT APPLICABLE' -2='ILLEGIBLE'
                  -1='VARIABLE NOT ON FORM' 999='(999) 999 OR MORE' ;
*/


* SAS DATA, INFILE, INPUT STATEMENTS;

DATA;
INFILE "data-filename" LRECL=110;
INPUT
        CASEID 2-6              MODALITY 1              IADATE_M 7-8
        IADATE_Y 9-10           AIA1_1 11-12            AIA1_2 13-14
        AIA1_3 15-17            AIA1_4 18-20            AIA2_1 21-22
        AIA2_2 23-24            AIA2_3 25-27            AIA2_4 28-30
        AIA3_1 31-32            AIA3_2 33-34            AIA3_3 35-37
        AIA3_4 38-40            AIA4_1 41-42            AIA4_2 43-44
        AIA4_3 45-47            AIA4_4 48-50            AIA5_1 51-52
        AIA5_2 53-54            AIA5_3 55-57            AIA5_4 58-60
        AIA6_1 61-62            AIA6_2 63-64            AIA6_3 65-67
        AIA6_4 68-70            AIA7_1 71-72            AIA7_2 73-74
        AIA7_3 75-77            AIA7_4 78-80            AIA8_1 81-82
        AIA8_2 83-84            AIA8_3 85-87            AIA8_4 88-90
        AIA9_1 91-92            AIA9_2 93-94            AIA9_3 95-97
        AIA9_4 98-100           AIA10_1 101-102         AIA10_2 103-104
        AIA10_3 105-107         AIA10_4 108-110         ;


* SAS LABEL STATEMENT;

LABEL
   CASEID  = 'CASE IDENTIFICATION NUMBER'
   MODALITY= 'DATOS TX MODALITY'
   IADATE_M= 'MONTH/INTERVIEW DATE'
   IADATE_Y= 'YR/INTERVIEW DATE'
   AIA1_1  = 'EVER INVOLVED IN AGGRAVATED ASSAULT'
   AIA1_2  = 'AGE/1ST TIME AGGRAVATED ASSAULT'
   AIA1_3  = '#DAYS/TIMES YOU EVER AGGRAVATED ASSAULT'
   AIA1_4  = '#DAYS/TIMES AGGRAVATED ASSAULT/12 MOS'
   AIA2_1  = 'EVER INVOLVED IN BURGLARY'
   AIA2_2  = 'AGE/1ST TIME DID BURGLARY'
   AIA2_3  = '#DAYS/TIMES YOU EVER DID BURGLARY'
   AIA2_4  = '#DAYS/TIMES DID BURGLARY/12 MOS'
   AIA3_1  = 'EVER INVOLVED IN THEFT'
   AIA3_2  = 'AGE/1ST TIME DID THEFT'
   AIA3_3  = '#DAYS/TIMES YOU EVER DID THEFT'
   AIA3_4  = '#DAYS/TIMES DID THEFT/12 MOS'
   AIA4_1  = 'EVER INVOLVED IN ROBBERY'
   AIA4_2  = 'AGE/1ST TIME DID ROBBERY'
   AIA4_3  = '#DAYS/TIMES YOU EVER DID ROBBERY'
   AIA4_4  = '#DAYS/TIMES DID ROBBERY/12 MOS'
   AIA5_1  = 'EVER INVOLVED IN FORGERY'
   AIA5_2  = 'AGE/1ST TIME DID FORGERY'
   AIA5_3  = '#DAYS/TIMES YOU EVER DID FORGERY'
   AIA5_4  = '#DAYS/TIMES DID FORGERY/12 MOS'
   AIA6_1  = 'EVER INVOLVED DEALING/STOLEN PROPERTY'
   AIA6_2  = 'AGE/1ST TIME DEALING/STOLEN PROPERTY'
   AIA6_3  = '#DAYS/TIMES EVER DEALT/STOLEN PROPERTY'
   AIA6_4  = '#DAYS/TIMES DID FENCING/12 MOS'
   AIA7_1  = 'EVER INVOLVED IN GAMBLING'
   AIA7_2  = 'AGE/1ST TIME DID GAMBLING'
   AIA7_3  = '#DAYS/TIMES YOU EVER DID GAMBLING'
   AIA7_4  = '#DAYS/TIMES DID GAMBLING/12 MOS'
   AIA8_1  = 'EVER INVOLVED IN PIMPING/PROSTITUTION'
   AIA8_2  = 'AGE/1ST TIME DID PIMPING/PROSTITUTION'
   AIA8_3  = '#DAYS/TIMES EVER DID PIMPING/PROSTITUTIO'
   AIA8_4  = '#DAYS/TIMES DID PIMPNG/PRSTITUT/12 MOS'
   AIA9_1  = 'EVER INVOLVED IN SELLING ILLEGAL DRUGS'
   AIA9_2  = 'AGE/1ST TIME SOLD ILLEGAL DRUGS'
   AIA9_3  = '#DAYS/TIMES YOU EVER SOLD ILLEGAL DRUGS'
   AIA9_4  = '#DAYS/TIMES SOLD ILLEGAL DRUGS/12 MOS'
   AIA10_1 = 'EVER INVOLVED IN INTOXICATED DRIVING'
   AIA10_2 = 'AGE/1ST TIME DROVE WHILE INTOXICATED'
   AIA10_3 = '#DAYS/TIMES EVER DID INTOXICATD DRIVING'
   AIA10_4 = '#DAYS/TIMES DID INTOX DRIVNG/12 MOS'
        ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (IADATE_M <= -1) THEN IADATE_M = .;
   IF (IADATE_Y <= -1) THEN IADATE_Y = .;
   IF (AIA1_1 <= -1) THEN AIA1_1 = .;
   IF (AIA1_2 <= -1) THEN AIA1_2 = .;
   IF (AIA1_3 <= -1) THEN AIA1_3 = .;
   IF (AIA1_4 <= -1) THEN AIA1_4 = .;
   IF (AIA2_1 <= -1) THEN AIA2_1 = .;
   IF (AIA2_2 <= -1) THEN AIA2_2 = .;
   IF (AIA2_3 <= -1) THEN AIA2_3 = .;
   IF (AIA2_4 <= -1) THEN AIA2_4 = .;
   IF (AIA3_1 <= -1) THEN AIA3_1 = .;
   IF (AIA3_2 <= -1) THEN AIA3_2 = .;
   IF (AIA3_3 <= -1) THEN AIA3_3 = .;
   IF (AIA3_4 <= -1) THEN AIA3_4 = .;
   IF (AIA4_1 <= -1) THEN AIA4_1 = .;
   IF (AIA4_2 <= -1) THEN AIA4_2 = .;
   IF (AIA4_3 <= -1) THEN AIA4_3 = .;
   IF (AIA4_4 <= -1) THEN AIA4_4 = .;
   IF (AIA5_1 <= -1) THEN AIA5_1 = .;
   IF (AIA5_2 <= -1) THEN AIA5_2 = .;
   IF (AIA5_3 <= -1) THEN AIA5_3 = .;
   IF (AIA5_4 <= -1) THEN AIA5_4 = .;
   IF (AIA6_1 <= -1) THEN AIA6_1 = .;
   IF (AIA6_2 <= -1) THEN AIA6_2 = .;
   IF (AIA6_3 <= -1) THEN AIA6_3 = .;
   IF (AIA6_4 <= -1) THEN AIA6_4 = .;
   IF (AIA7_1 <= -1) THEN AIA7_1 = .;
   IF (AIA7_2 <= -1) THEN AIA7_2 = .;
   IF (AIA7_3 <= -1) THEN AIA7_3 = .;
   IF (AIA7_4 <= -1) THEN AIA7_4 = .;
   IF (AIA8_1 <= -1) THEN AIA8_1 = .;
   IF (AIA8_2 <= -1) THEN AIA8_2 = .;
   IF (AIA8_3 <= -1) THEN AIA8_3 = .;
   IF (AIA8_4 <= -1) THEN AIA8_4 = .;
   IF (AIA9_1 <= -1) THEN AIA9_1 = .;
   IF (AIA9_2 <= -1) THEN AIA9_2 = .;
   IF (AIA9_3 <= -1) THEN AIA9_3 = .;
   IF (AIA9_4 <= -1) THEN AIA9_4 = .;
   IF (AIA10_1 <= -1) THEN AIA10_1 = .;
   IF (AIA10_2 <= -1) THEN AIA10_2 = .;
   IF (AIA10_3 <= -1) THEN AIA10_3 = .;
   IF (AIA10_4 <= -1) THEN AIA10_4 = .;
*/


* SAS FORMAT STATEMENT;

/*
  FORMAT MODALITY modality. IADATE_M iadate_m. IADATE_Y iadate_y.
         AIA1_1 aia1_1ff. AIA1_2 aia1_2ff. AIA1_3 aia1_3ff.
         AIA1_4 aia1_4ff. AIA2_1 aia2_1ff. AIA2_2 aia2_2ff.
         AIA2_3 aia2_3ff. AIA2_4 aia2_4ff. AIA3_1 aia3_1ff.
         AIA3_2 aia3_2ff. AIA3_3 aia3_3ff. AIA3_4 aia3_4ff.
         AIA4_1 aia4_1ff. AIA4_2 aia4_2ff. AIA4_3 aia4_3ff.
         AIA4_4 aia4_4ff. AIA5_1 aia5_1ff. AIA5_2 aia5_2ff.
         AIA5_3 aia5_3ff. AIA5_4 aia5_4ff. AIA6_1 aia6_1ff.
         AIA6_2 aia6_2ff. AIA6_3 aia6_3ff. AIA6_4 aia6_4ff.
         AIA7_1 aia7_1ff. AIA7_2 aia7_2ff. AIA7_3 aia7_3ff.
         AIA7_4 aia7_4ff. AIA8_1 aia8_1ff. AIA8_2 aia8_2ff.
         AIA8_3 aia8_3ff. AIA8_4 aia8_4ff. AIA9_1 aia9_1ff.
         AIA9_2 aia9_2ff. AIA9_3 aia9_3ff. AIA9_4 aia9_4ff.
         AIA10_1 aia10_1f. AIA10_2 aia10_2f. AIA10_3 aia10_3f.
         AIA10_4 aia10_4f.  ;
*/

RUN ;
